import { registerBlockType } from '@wordpress/blocks';
import { __ } from '@wordpress/i18n';
import { postContent } from '@wordpress/icons';
import Edit from './edit';
import './editor.scss';

registerBlockType('memberpress/readylaunch-account-content', {
  title: __('ReadyLaunch Account Content', 'memberpress'),
  icon: postContent,
  category: 'memberpress',
  description: __('Account content area showing profile, payments, etc.', 'memberpress'),
  keywords: [__('account content', 'memberpress'), __('profile', 'memberpress')],
  parent: ['memberpress/readylaunch-account'],
  supports: {
    customClassName: false,
    html: false,
    reusable: false,
  },
  edit: Edit,
  save: function () {
    return null;
  },
});
